export const drag = {
  bind(el) {
    el.style.position = 'fixed'
    el.style.zIndex = 100
    let startX = 0,
      startY = 0
    let startLeft = 0,
      startTop = 0
    el.addEventListener('mousedown', mousedown)
    function mousedown(e) {
      startX = e.clientX
      startY = e.clientY
      startLeft = parseInt(el.style.left || 0)
      startTop = parseInt(el.style.top || 0)
      document.addEventListener('mousemove', mousemove)
      document.addEventListener('mouseup', mouseup)
    }
    function mousemove(e) {
      e.preventDefault()
      let left = e.clientX - startX + startLeft
      let top = e.clientY - startY + startTop
      const maxLeft = window.innerWidth - el.clientWidth
      const maxTop = window.innerHeight - el.clientHeight
      if (left < 0) {
        left = 0
      } else if (left > maxLeft) {
        left = maxLeft
      }
      if (top < 0) {
        top = 0
      } else if (top > maxTop) {
        top = maxTop
      }
      el.style.left = left + 'px'
      el.style.top = top + 'px'
    }
    function mouseup() {
      document.removeEventListener('mousemove', mousemove)
      document.removeEventListener('mouseup', mouseup)
    }
  },
  unbind(el) {
    el.removeEventListener('mousedown', mousedown)
  },
}
