import pkg from '../../package.json'
import * as components from './components'
export * from './components'
import * as utils from './_utils/index'
export { utils }
import * as directives from './_utils/directives'
import request, { retry } from './_utils/request'
export { request, retry }

import './_design/index.less'

//第三方库
import Antd from 'ant-design-vue'
export * from 'ant-design-vue'
import moment from 'moment'
import 'moment/locale/zh-cn'
moment.locale('zh-cn')

const install = (app, config) => {
  app.use(Antd)
  utils.setAntdConfig(app)
  Object.entries(components).forEach(([key, value]) => {
    app.component(key, value)
  })
  Object.entries(directives).forEach(([key, value]) => {
    app.directive(key, value)
  })
  app.prototype.$moment = moment
  utils.localRun(app, config)
}

export { install }
export default { install }

console.log('gt-antd1 v' + pkg.version)
