const userTypeList = [
  {
    label: '用户',
    value: 'CUSTOMER_USER',
    dataIndex: 'roleNames',
    title: '用户身份',
  },
  {
    label: '员工',
    value: 'ADMIN_USER',
    dataIndex: 'roleNames',
    title: '员工身份',
  },
  {
    label: '组织架构',
    value: 'ORG_USER',
    dataIndex: 'orgNames',
    title: '组织名称',
  },
]
const genderType = [
  {
    label: '男',
    value: 'MAN',
  },
  {
    label: '女',
    value: 'FEMALE',
  },
]
const initColumns = [
  {
    title: '序号',
    dataIndex: 'index',
    width: 60,
    customRender: (text, record, index) => `${index + 1}`,
  },
  {
    title: '姓名',
    width: 80,
    dataIndex: 'realName',
    ellipsis: true,
  },
  {
    title: '手机号',
    width: 100,
    dataIndex: 'phone',
    ellipsis: true,
  },
  {
    title: '用户身份',
    width: 100,
    dataIndex: 'roleNames',
    ellipsis: true,
  },
]
const userFilter = [
  {
    label: '性别',
    field: 'gender',
    component: 'ASelect',
    props: {
      options: genderType,
      placeholder: '请选择',
      onChange: () => {},
    },
    span: 8,
  },
  {
    label: '年龄',
    component: 'slot',
    slot: 'age',
    span: 9,
    labelCol: { style: { width: '60px' } },
  },
  {
    label: '标签',
    field: 'tagIds',
    component: 'ASelect',
    props: {
      options: [],
      mode: 'multiple',
      maxTagCount: 1,
      placeholder: '请选择',
    },
    span: 7,
  },
]
export { userTypeList, genderType, initColumns, userFilter }
